---------------------
PatchSet 2570 
Date: 2001/06/30 18:42:07
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Updated WIN32 Project files and some litte WIN32 bug fixes

Members: 
	auth_modules/NT/NT_auth.dsp:1.1.2.1->1.1.2.2 
	auth_modules/NT/NT_auth.mak:1.1.2.1->1.1.2.2 
	contrib/chpasswd/chpasswd.dsp:1.1.2.2->1.1.2.3 
	contrib/chpasswd/chpasswd.mak:1.1.2.2->1.1.2.3 
	contrib/htpasswd/htpasswd.dsp:1.1.2.2->1.1.2.3 
	contrib/htpasswd/htpasswd.mak:1.1.2.2->1.1.2.3 
	src/debug.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.3 
	src/store_dir.c:1.1.1.3.4.2.2.5->1.1.1.3.4.2.2.6 
	src/useragent.c:1.1.1.3.4.1.2.4->1.1.1.3.4.1.2.5 
	win/PSAPI.LIB:1.1.2.1->1.1.2.2(DEAD) 
	win/win.dsw:1.1.2.2->1.1.2.3 
	win/cachemgr/cachemgr.dsp:1.1.2.2->1.1.2.3 
	win/cachemgr/cachemgr.mak:1.1.2.2->1.1.2.3 
	win/dnsserver/dnsserver.dsp:1.1.2.2->1.1.2.3 
	win/dnsserver/dnsserver.mak:1.1.2.2->1.1.2.3 
	win/miscutil/miscutil.dsp:1.1.2.1->1.1.2.2 
	win/miscutil/miscutil.mak:1.1.2.1->1.1.2.2 
	win/squidnt/squidnt.dsp:1.1.2.2->1.1.2.3 
	win/squidnt/squidnt.mak:1.1.2.2->1.1.2.3 

Index: squid/auth_modules/NT/NT_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/NT_auth.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/auth_modules/NT/NT_auth.dsp	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/auth_modules/NT/NT_auth.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.2
@@ -56,10 +56,6 @@
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386
 # ADD LINK32 kernel32.lib user32.lib advapi32.lib netapi32.lib /nologo /dll /machine:I386
 # SUBTRACT LINK32 /pdb:none
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\auth_modules\NT\release\nt_auth.dll c:\squid23\nt_auth.dll
-# End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
 
Index: squid/auth_modules/NT/NT_auth.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/NT/Attic/NT_auth.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/auth_modules/NT/NT_auth.mak	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/auth_modules/NT/NT_auth.mak	30 Jun 2001 18:42:07 -0000	1.1.2.2
@@ -82,19 +82,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Release
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "miscutil - Win32 Release" "$(OUTDIR)\NT_auth.dll"
-   copy d:\work\squidnt23\auth_modules\NT\release\nt_auth.dll c:\squid23\nt_auth.dll
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
 
 OUTDIR=.\Debug
@@ -213,25 +200,25 @@
 !IF  "$(CFG)" == "NT_auth - Win32 Release"
 
 "miscutil - Win32 Release" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" 
    cd "..\..\auth_modules\NT"
 
 "miscutil - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NT"
 
 !ELSEIF  "$(CFG)" == "NT_auth - Win32 Debug"
 
 "miscutil - Win32 Debug" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" 
    cd "..\..\auth_modules\NT"
 
 "miscutil - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\NT"
 
 !ENDIF 
Index: squid/contrib/chpasswd/chpasswd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/contrib/chpasswd/chpasswd.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/contrib/chpasswd/chpasswd.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -55,10 +55,6 @@
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /machine:I386
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /machine:I386
 # SUBTRACT LINK32 /pdb:none
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\chpasswd\release\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
-# End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "chpasswd - Win32 Debug"
 
@@ -86,10 +82,6 @@
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /debug /machine:I386 /pdbtype:sept
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 # SUBTRACT LINK32 /pdb:none
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\chpasswd\debug\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
-# End Special Build Tool
 
 !ENDIF 
 
Index: squid/contrib/chpasswd/chpasswd.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/contrib/chpasswd/chpasswd.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/contrib/chpasswd/chpasswd.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -69,19 +69,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Release
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "$(OUTDIR)\chpasswd.exe"
-   copy d:\work\squidnt23\contrib\chpasswd\release\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ELSEIF  "$(CFG)" == "chpasswd - Win32 Debug"
 
 OUTDIR=.\Debug
@@ -125,19 +112,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Debug
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "$(OUTDIR)\chpasswd.exe"
-   copy d:\work\squidnt23\contrib\chpasswd\debug\chpasswd.exe c:\squid\cgi-bin\chpasswd.cgi
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ENDIF 
 
 .c{$(INTDIR)}.obj::
Index: squid/contrib/htpasswd/htpasswd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/contrib/htpasswd/htpasswd.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/contrib/htpasswd/htpasswd.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -51,10 +51,6 @@
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
 # ADD LINK32 winspool.lib comdlg32.lib shell32.lib ole32.lib oleaut32.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /machine:I386
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\htpasswd\release\htpasswd.exe c:\squid\htpasswd.exe
-# End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "htpasswd - Win32 Debug"
 
@@ -79,10 +75,6 @@
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\contrib\htpasswd\debug\htpasswd.exe c:\squid\htpasswd.exe
-# End Special Build Tool
 
 !ENDIF 
 
Index: squid/contrib/htpasswd/htpasswd.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/contrib/htpasswd/htpasswd.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/contrib/htpasswd/htpasswd.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -67,19 +67,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Release
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "$(OUTDIR)\htpasswd.exe"
-   copy d:\work\squidnt23\contrib\htpasswd\release\htpasswd.exe c:\squid\htpasswd.exe
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ELSEIF  "$(CFG)" == "htpasswd - Win32 Debug"
 
 OUTDIR=.\Debug
@@ -122,19 +109,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Debug
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "$(OUTDIR)\htpasswd.exe"
-   copy d:\work\squidnt23\contrib\htpasswd\debug\htpasswd.exe c:\squid\htpasswd.exe
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ENDIF 
 
 .c{$(INTDIR)}.obj::
Index: squid/src/debug.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/debug.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.3
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.3
--- squid/src/debug.c	3 Jun 2001 19:41:48 -0000	1.1.1.3.4.1.2.2
+++ squid/src/debug.c	30 Jun 2001 18:42:07 -0000	1.1.1.3.4.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: debug.c,v 1.1.1.3.4.1.2.2 2001/06/03 19:41:48 serassio Exp $
+ * $Id: debug.c,v 1.1.1.3.4.1.2.3 2001/06/30 18:42:07 serassio Exp $
  *
  * DEBUG: section 0     Debug Routines
  * AUTHOR: Harvest Derived
@@ -158,7 +158,8 @@
 	debug_log = stderr;
     }
 #if defined(_SQUID_CYGWIN_)||defined(_SQUID_MSWIN_)
-    setmode(fileno(debug_log), O_TEXT);
+    else
+	setmode(fileno(debug_log), O_TEXT);
 #endif
 }
 
Index: squid/src/store_dir.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_dir.c,v
retrieving revision 1.1.1.3.4.2.2.5
retrieving revision 1.1.1.3.4.2.2.6
diff -u -r1.1.1.3.4.2.2.5 -r1.1.1.3.4.2.2.6
--- squid/src/store_dir.c	18 Jun 2001 19:30:40 -0000	1.1.1.3.4.2.2.5
+++ squid/src/store_dir.c	30 Jun 2001 18:42:07 -0000	1.1.1.3.4.2.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir.c,v 1.1.1.3.4.2.2.5 2001/06/18 19:30:40 serassio Exp $
+ * $Id: store_dir.c,v 1.1.1.3.4.2.2.6 2001/06/30 18:42:07 serassio Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -67,8 +67,10 @@
 {
     int i;
     SwapDir *sd;
+#ifndef _SQUID_MSWIN_
     pid_t pid;
     int status;
+#endif
     for (i = 0; i < Config.cacheSwap.n_configured; i++) {
 #ifndef _SQUID_MSWIN_
 	if (fork())
@@ -375,7 +377,7 @@
     for (dirn = 0; dirn < Config.cacheSwap.n_configured; dirn++) {
 	sd = &Config.cacheSwap.swapDirs[dirn];
 	if (sd->log.close)
-            sd->log.close(sd);
+	    sd->log.close(sd);
     }
 }
 
@@ -475,6 +477,7 @@
     struct statvfs sfs;
     if (statvfs(path, &sfs)) {
 	debug(50, 1) ("%s: %s\n", path, xstrerror());
+	*blksize = 2048;
 	return 1;
     }
     *blksize = (int) sfs.f_frsize;
@@ -482,10 +485,16 @@
     struct statfs sfs;
     if (statfs(path, &sfs)) {
 	debug(50, 1) ("%s: %s\n", path, xstrerror());
+	*blksize = 2048;
 	return 1;
     }
     *blksize = (int) sfs.f_bsize;
 #endif
+    /*
+     * Sanity check; make sure we have a meaningful value.
+     */
+    if (*blksize < 512)
+	*blksize = 2048;
     return 0;
 }
 
Index: squid/src/useragent.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/useragent.c,v
retrieving revision 1.1.1.3.4.1.2.4
retrieving revision 1.1.1.3.4.1.2.5
diff -u -r1.1.1.3.4.1.2.4 -r1.1.1.3.4.1.2.5
--- squid/src/useragent.c	14 Jun 2001 21:34:24 -0000	1.1.1.3.4.1.2.4
+++ squid/src/useragent.c	30 Jun 2001 18:42:07 -0000	1.1.1.3.4.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: useragent.c,v 1.1.1.3.4.1.2.4 2001/06/14 21:34:24 serassio Exp $
+ * $Id: useragent.c,v 1.1.1.3.4.1.2.5 2001/06/30 18:42:07 serassio Exp $
  *
  * DEBUG: section 40    User-Agent logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
@@ -61,7 +61,8 @@
     if (log_fd < 0 || cache_useragent_log == NULL)
 	debug(40, 1) ("User-Agent logging is disabled.\n");
 #if defined(_SQUID_CYGWIN_)||defined(_SQUID_MSWIN_)
-    setmode(fileno(cache_useragent_log), O_TEXT);
+    else
+	setmode(fileno(cache_useragent_log), O_TEXT);
 #endif
 #endif
 }
Index: squid/win/win.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/win.dsw,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/win.dsw	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/win.dsw	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -101,6 +101,9 @@
 
 Package=<4>
 {{{
+    Begin Project Dependency
+    Project_Dep_Name miscutil
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid/win/cachemgr/cachemgr.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/cachemgr/cachemgr.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/cachemgr/cachemgr.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -52,10 +52,6 @@
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
 # ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /machine:I386 /libpath:"..\\"
 # SUBTRACT LINK32 /pdb:none
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\cachemgr\release\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
-# End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "cachemgr - Win32 Debug"
 
@@ -80,10 +76,6 @@
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 # ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept /libpath:"..\\"
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\cachemgr\debug\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
-# End Special Build Tool
 
 !ENDIF 
 
Index: squid/win/cachemgr/cachemgr.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/cachemgr/Attic/cachemgr.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/cachemgr/cachemgr.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/cachemgr/cachemgr.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -77,19 +77,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Release
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "miscutil - Win32 Release" "$(OUTDIR)\cachemgr.exe"
-   copy d:\work\squidnt23\win\cachemgr\release\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ELSEIF  "$(CFG)" == "cachemgr - Win32 Debug"
 
 OUTDIR=.\Debug
@@ -142,19 +129,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Debug
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "miscutil - Win32 Debug" "$(OUTDIR)\cachemgr.exe"
-   copy d:\work\squidnt23\win\cachemgr\debug\cachemgr.exe c:\squid\cgi-bin\cachemgr.cgi
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ENDIF 
 
 .c{$(INTDIR)}.obj::
Index: squid/win/dnsserver/dnsserver.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/dnsserver/Attic/dnsserver.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/dnsserver/dnsserver.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/dnsserver/dnsserver.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -54,10 +54,6 @@
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /machine:I386
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib ws2_32.lib /nologo /dll /machine:I386
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\dnsserver\release\dnsserver.dll c:\squid\dnsserver.dll
-# End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "dnsserver - Win32 Debug"
 
@@ -84,10 +80,6 @@
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
 # ADD LINK32 kernel32.lib user32.lib gdi32.lib advapi32.lib ws2_32.lib /nologo /dll /debug /machine:I386 /pdbtype:sept
-# Begin Special Build Tool
-SOURCE="$(InputPath)"
-PostBuild_Cmds=copy d:\work\squidnt23\win\dnsserver\debug\dnsserver.dll c:\squid\dnsserver.dll
-# End Special Build Tool
 
 !ENDIF 
 
Index: squid/win/dnsserver/dnsserver.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/dnsserver/Attic/dnsserver.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/dnsserver/dnsserver.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/dnsserver/dnsserver.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -80,19 +80,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Release
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "miscutil - Win32 Release" "$(OUTDIR)\dnsserver.dll"
-   copy d:\work\squidnt23\win\dnsserver\release\dnsserver.dll c:\squid\dnsserver.dll
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ELSEIF  "$(CFG)" == "dnsserver - Win32 Debug"
 
 OUTDIR=.\Debug
@@ -147,19 +134,6 @@
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
 
-SOURCE="$(InputPath)"
-DS_POSTBUILD_DEP=$(INTDIR)\postbld.dep
-
-ALL : $(DS_POSTBUILD_DEP)
-
-# Begin Custom Macros
-OutDir=.\Debug
-# End Custom Macros
-
-$(DS_POSTBUILD_DEP) : "miscutil - Win32 Debug" "$(OUTDIR)\dnsserver.dll"
-   copy d:\work\squidnt23\win\dnsserver\debug\dnsserver.dll c:\squid\dnsserver.dll
-	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
-
 !ENDIF 
 
 .c{$(INTDIR)}.obj::
Index: squid/win/miscutil/miscutil.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/miscutil/Attic/miscutil.dsp,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/miscutil/miscutil.dsp	6 Jan 2001 12:40:18 -0000	1.1.2.1
+++ squid/win/miscutil/miscutil.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.2
@@ -41,7 +41,7 @@
 # PROP Intermediate_Dir "Release"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
-# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "../../src" /I "../../include" /I "../" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
 # SUBTRACT CPP /Fr
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
 # ADD RSC /l 0x409 /d "NDEBUG"
@@ -65,7 +65,7 @@
 # PROP Intermediate_Dir "Debug"
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
 # SUBTRACT CPP /Fr
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
 # ADD RSC /l 0x409 /d "_DEBUG"
@@ -165,6 +165,10 @@
 
 SOURCE=..\..\lib\uudecode.c
 # End Source File
+# Begin Source File
+
+SOURCE=..\..\lib\win32lib.c
+# End Source File
 # End Group
 # Begin Group "Header Files"
 
Index: squid/win/miscutil/miscutil.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/miscutil/Attic/miscutil.mak,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/win/miscutil/miscutil.mak	6 Jan 2001 12:40:18 -0000	1.1.2.1
+++ squid/win/miscutil/miscutil.mak	30 Jun 2001 18:42:07 -0000	1.1.2.2
@@ -72,12 +72,13 @@
 	-@erase "$(INTDIR)\util.obj"
 	-@erase "$(INTDIR)\uudecode.obj"
 	-@erase "$(INTDIR)\vc60.idb"
+	-@erase "$(INTDIR)\win32lib.obj"
 	-@erase "$(OUTDIR)\miscutil.lib"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /Fp"$(INTDIR)\miscutil.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+CPP_PROJ=/nologo /G6 /MT /W3 /GX /O2 /Ob2 /I "../../src" /I "../../include" /I "../" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /Fp"$(INTDIR)\miscutil.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\miscutil.bsc" 
 BSC32_SBRS= \
@@ -105,6 +106,7 @@
 	"$(INTDIR)\stub_memaccount.obj" \
 	"$(INTDIR)\util.obj" \
 	"$(INTDIR)\uudecode.obj" \
+	"$(INTDIR)\win32lib.obj" \
 	"..\libregex\Release\libregex.lib"
 
 "$(OUTDIR)\miscutil.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
@@ -157,12 +159,13 @@
 	-@erase "$(INTDIR)\uudecode.obj"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
+	-@erase "$(INTDIR)\win32lib.obj"
 	-@erase "$(OUTDIR)\miscutil.lib"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /Fp"$(INTDIR)\miscutil.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /Fp"$(INTDIR)\miscutil.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\miscutil.bsc" 
 BSC32_SBRS= \
@@ -190,6 +193,7 @@
 	"$(INTDIR)\stub_memaccount.obj" \
 	"$(INTDIR)\util.obj" \
 	"$(INTDIR)\uudecode.obj" \
+	"$(INTDIR)\win32lib.obj" \
 	"..\libregex\Debug\libregex.lib"
 
 "$(OUTDIR)\miscutil.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
@@ -360,6 +364,12 @@
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+SOURCE=..\..\lib\win32lib.c
+
+"$(INTDIR)\win32lib.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
 !IF  "$(CFG)" == "miscutil - Win32 Release"
 
 "libregex - Win32 Release" : 
Index: squid/win/squidnt/squidnt.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/squidnt/squidnt.dsp	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/squidnt/squidnt.dsp	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -51,10 +51,10 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
-# ADD LINK32 kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /machine:I386 /out:"Release/squid.exe" /libpath:"..\\"
+# ADD LINK32 kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /machine:I386 /out:"Release/squid.exe"
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=net stop "SquidNT2.3Stable4 beta"	copy d:\work\squidnt23\win\squidnt\release\squid.exe c:\squid\squid.exe	net start "SquidNT2.3Stable4 beta"
+PostBuild_Cmds=..\update.bat release e:\squid
 # End Special Build Tool
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
@@ -80,11 +80,11 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib winwrap.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/squid.exe" /pdbtype:sept /libpath:"..\\"
+# ADD LINK32 kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib winwrap.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/squid.exe" /pdbtype:sept
 # SUBTRACT LINK32 /profile
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
-PostBuild_Cmds=net stop "SquidNT2.3Stable4 beta"	copy d:\work\squidnt23\win\squidnt\debug\squid.exe c:\squid\squid.exe	copy d:\work\squidnt23\auth_modules\NT\debug\nt_auth.dll c:\squid\nt_auth.dll	copy d:\work\squidnt23\auth_modules\NCSA\debug\ncsa_auth.dll c:\squid\ncsa_auth.dll
+PostBuild_Cmds=..\update.bat debug e:\squid
 # End Special Build Tool
 
 !ENDIF 
@@ -361,10 +361,6 @@
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\src\readdir.c
-# End Source File
-# Begin Source File
-
 SOURCE=..\..\src\redirect.c
 # End Source File
 # Begin Source File
Index: squid/win/squidnt/squidnt.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/squidnt/squidnt.mak	25 Mar 2001 16:55:30 -0000	1.1.2.2
+++ squid/win/squidnt/squidnt.mak	30 Jun 2001 18:42:07 -0000	1.1.2.3
@@ -114,7 +114,6 @@
 	-@erase "$(INTDIR)\peer_digest.obj"
 	-@erase "$(INTDIR)\peer_select.obj"
 	-@erase "$(INTDIR)\pump.obj"
-	-@erase "$(INTDIR)\readdir.obj"
 	-@erase "$(INTDIR)\redirect.obj"
 	-@erase "$(INTDIR)\refresh.obj"
 	-@erase "$(INTDIR)\send-announce.obj"
@@ -160,7 +159,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\squid.pdb" /machine:I386 /out:"$(OUTDIR)\squid.exe" /libpath:"..\\" 
+LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\squid.pdb" /machine:I386 /out:"$(OUTDIR)\squid.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\access_log.obj" \
 	"$(INTDIR)\acl.obj" \
@@ -225,7 +224,6 @@
 	"$(INTDIR)\peer_digest.obj" \
 	"$(INTDIR)\peer_select.obj" \
 	"$(INTDIR)\pump.obj" \
-	"$(INTDIR)\readdir.obj" \
 	"$(INTDIR)\redirect.obj" \
 	"$(INTDIR)\refresh.obj" \
 	"$(INTDIR)\send-announce.obj" \
@@ -275,9 +273,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
-   net stop "SquidNT2.3Stable4 beta"
-	copy d:\work\squidnt23\win\squidnt\release\squid.exe c:\squid\squid.exe
-	net start "SquidNT2.3Stable4 beta"
+   ..\update.bat release e:\squid
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
@@ -366,7 +362,6 @@
 	-@erase "$(INTDIR)\peer_digest.obj"
 	-@erase "$(INTDIR)\peer_select.obj"
 	-@erase "$(INTDIR)\pump.obj"
-	-@erase "$(INTDIR)\readdir.obj"
 	-@erase "$(INTDIR)\redirect.obj"
 	-@erase "$(INTDIR)\refresh.obj"
 	-@erase "$(INTDIR)\send-announce.obj"
@@ -415,7 +410,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib winwrap.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\squid.pdb" /debug /machine:I386 /out:"$(OUTDIR)\squid.exe" /pdbtype:sept /libpath:"..\\" 
+LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib winwrap.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\squid.pdb" /debug /machine:I386 /out:"$(OUTDIR)\squid.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\access_log.obj" \
 	"$(INTDIR)\acl.obj" \
@@ -480,7 +475,6 @@
 	"$(INTDIR)\peer_digest.obj" \
 	"$(INTDIR)\peer_select.obj" \
 	"$(INTDIR)\pump.obj" \
-	"$(INTDIR)\readdir.obj" \
 	"$(INTDIR)\redirect.obj" \
 	"$(INTDIR)\refresh.obj" \
 	"$(INTDIR)\send-announce.obj" \
@@ -530,10 +524,7 @@
 # End Custom Macros
 
 $(DS_POSTBUILD_DEP) : "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
-   net stop "SquidNT2.3Stable4 beta"
-	copy d:\work\squidnt23\win\squidnt\debug\squid.exe c:\squid\squid.exe
-	copy d:\work\squidnt23\auth_modules\NT\debug\nt_auth.dll c:\squid\nt_auth.dll
-	copy d:\work\squidnt23\auth_modules\NCSA\debug\ncsa_auth.dll c:\squid\ncsa_auth.dll
+   ..\update.bat debug e:\squid
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
@@ -993,12 +984,6 @@
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
-SOURCE=..\..\src\readdir.c
-
-"$(INTDIR)\readdir.obj" : $(SOURCE) "$(INTDIR)"
-	$(CPP) $(CPP_PROJ) $(SOURCE)
-
-
 SOURCE=..\..\src\redirect.c
 
 "$(INTDIR)\redirect.obj" : $(SOURCE) "$(INTDIR)"
@@ -1209,14 +1194,14 @@
 
 
 "$(INTDIR)\squid.res" : $(SOURCE) "$(INTDIR)"
-	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\squidnt23\win" /d "NDEBUG" $(SOURCE)
+	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\nt-2.3\win" /d "NDEBUG" $(SOURCE)
 
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 
 "$(INTDIR)\squid.res" : $(SOURCE) "$(INTDIR)"
-	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\squidnt23\win" /d "_DEBUG" $(SOURCE)
+	$(RSC) /l 0x409 /fo"$(INTDIR)\squid.res" /i "\work\nt-2.3\win" /d "_DEBUG" $(SOURCE)
 
 
 !ENDIF 
@@ -1224,25 +1209,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "miscutil - Win32 Release" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" 
    cd "..\squidnt"
 
 "miscutil - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "miscutil - Win32 Debug" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" 
    cd "..\squidnt"
 
 "miscutil - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ENDIF 
@@ -1256,25 +1241,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "NT_auth - Win32 Release" : 
-   cd "\work\squidnt23\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Release" 
+   cd "\work\nt-2.3\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Release" 
    cd "..\..\win\squidnt"
 
 "NT_auth - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "NT_auth - Win32 Debug" : 
-   cd "\work\squidnt23\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Debug" 
+   cd "\work\nt-2.3\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Debug" 
    cd "..\..\win\squidnt"
 
 "NT_auth - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\auth_modules\NT"
-   $(MAKE) /$(MAKEFLAGS) /F .\NT_auth.mak CFG="NT_auth - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\auth_modules\NT"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NT_auth.mak" CFG="NT_auth - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ENDIF 
@@ -1282,25 +1267,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "NCSA_auth - Win32 Release" : 
-   cd "\work\squidnt23\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Release" 
+   cd "\work\nt-2.3\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Release" 
    cd "..\..\win\squidnt"
 
 "NCSA_auth - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "NCSA_auth - Win32 Debug" : 
-   cd "\work\squidnt23\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Debug" 
+   cd "\work\nt-2.3\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Debug" 
    cd "..\..\win\squidnt"
 
 "NCSA_auth - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\auth_modules\NCSA"
-   $(MAKE) /$(MAKEFLAGS) /F .\NCSA_auth.mak CFG="NCSA_auth - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\auth_modules\NCSA"
+   $(MAKE) /$(MAKEFLAGS) /F ".\NCSA_auth.mak" CFG="NCSA_auth - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ENDIF 
@@ -1308,25 +1293,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "cachemgr - Win32 Release" : 
-   cd "\work\squidnt23\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Release" 
+   cd "\work\nt-2.3\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Release" 
    cd "..\squidnt"
 
 "cachemgr - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Release" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "cachemgr - Win32 Debug" : 
-   cd "\work\squidnt23\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Debug" 
+   cd "\work\nt-2.3\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Debug" 
    cd "..\squidnt"
 
 "cachemgr - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win\cachemgr"
-   $(MAKE) /$(MAKEFLAGS) /F .\cachemgr.mak CFG="cachemgr - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\cachemgr"
+   $(MAKE) /$(MAKEFLAGS) /F ".\cachemgr.mak" CFG="cachemgr - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ENDIF 
@@ -1334,25 +1319,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "dnsserver - Win32 Release" : 
-   cd "\work\squidnt23\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Release" 
+   cd "\work\nt-2.3\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Release" 
    cd "..\squidnt"
 
 "dnsserver - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Release" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "dnsserver - Win32 Debug" : 
-   cd "\work\squidnt23\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Debug" 
+   cd "\work\nt-2.3\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Debug" 
    cd "..\squidnt"
 
 "dnsserver - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win\dnsserver"
-   $(MAKE) /$(MAKEFLAGS) /F .\dnsserver.mak CFG="dnsserver - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win\dnsserver"
+   $(MAKE) /$(MAKEFLAGS) /F ".\dnsserver.mak" CFG="dnsserver - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\squidnt"
 
 !ENDIF 
@@ -1360,25 +1345,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "LDAP_auth - Win32 Release" : 
-   cd "\work\squidnt23\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Release" 
+   cd "\work\nt-2.3\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Release" 
    cd "..\..\win\squidnt"
 
 "LDAP_auth - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "LDAP_auth - Win32 Debug" : 
-   cd "\work\squidnt23\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Debug" 
+   cd "\work\nt-2.3\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Debug" 
    cd "..\..\win\squidnt"
 
 "LDAP_auth - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\auth_modules\LDAP"
-   $(MAKE) /$(MAKEFLAGS) /F .\LDAP_auth.mak CFG="LDAP_auth - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\auth_modules\LDAP"
+   $(MAKE) /$(MAKEFLAGS) /F ".\LDAP_auth.mak" CFG="LDAP_auth - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\win\squidnt"
 
 !ENDIF 
@@ -1386,24 +1371,24 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "Perl Preprocessing - Win32 Release" : 
-   cd "\work\squidnt23\win"
+   cd "\work\nt-2.3\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Release" 
    cd ".\squidnt"
 
 "Perl Preprocessing - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win"
+   cd "\work\nt-2.3\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Release" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "Perl Preprocessing - Win32 Debug" : 
-   cd "\work\squidnt23\win"
+   cd "\work\nt-2.3\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug" 
    cd ".\squidnt"
 
 "Perl Preprocessing - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win"
+   cd "\work\nt-2.3\win"
    $(MAKE) /$(MAKEFLAGS) /F ".\Perl Preprocessing.mak" CFG="Perl Preprocessing - Win32 Debug" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
@@ -1412,25 +1397,25 @@
 !IF  "$(CFG)" == "squidnt - Win32 Release"
 
 "squid_conf - Win32 Release" : 
-   cd "\work\squidnt23\win"
-   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Release" 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Release" 
    cd ".\squidnt"
 
 "squid_conf - Win32 ReleaseCLEAN" : 
-   cd "\work\squidnt23\win"
-   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Release" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
 "squid_conf - Win32 Debug" : 
-   cd "\work\squidnt23\win"
-   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Debug" 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Debug" 
    cd ".\squidnt"
 
 "squid_conf - Win32 DebugCLEAN" : 
-   cd "\work\squidnt23\win"
-   $(MAKE) /$(MAKEFLAGS) /F .\squid_conf.mak CFG="squid_conf - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\squid_conf.mak" CFG="squid_conf - Win32 Debug" RECURSE=1 CLEAN 
    cd ".\squidnt"
 
 !ENDIF 
